ftgl (2.4.0-7) unstable; urgency=medium

  * Apply Multi-Arch: hint
  * Disable useless Salsa CI jobs
  * Bump Standards-Version to 4.7.3, drop Priority: tag

 -- Alexandre Detiste <tchet@debian.org>  Sat, 28 Mar 2026 14:41:26 +0100

ftgl (2.4.0-6) unstable; urgency=medium

  * Adopt game library inside Games Team (Closes: #1011563)
  * Disable PDF generation again, see #1114467
  * Add debian/clean (Closes: #1044185)
  * Add debian/salsa-ci.yml
  * Switch to debhelper-compat 13
  * Update standards version to 4.7.2, no changes needed.

  [ Manuel A. Fernandez Montecelo ]
  * d/copyright_hints: adapt to latest changes upstream

  [ Debian Janitor ]
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields

 -- Alexandre Detiste <tchet@debian.org>  Thu, 23 Oct 2025 11:39:01 +0200

ftgl (2.4.0-5) unstable; urgency=medium

  * Source only upload for migration to testing.

 -- Ognyan Kulev <ogi@debian.org>  Sat, 26 Oct 2024 07:22:09 +0200

ftgl (2.4.0-4) unstable; urgency=medium

  * Fix FTBFS by applying https://github.com/frankheckenbach/ftgl/pull/20 as
    suggested by Mattias Ellert <mattias.ellert@physics.uu.se>.
    (Closes: #1081861)

 -- Ognyan Kulev <ogi@debian.org>  Sat, 19 Oct 2024 20:40:45 +0200

ftgl (2.4.0-2) unstable; urgency=medium

  * Install ftgl.pdf file again, the external problem generating PDF file
    was fixed (#921779)
  * d/patches:
    - drop disable-pdf.patch
  * Bump SHLIBVER to 2.4.0, there are new methods/functions in the
    interface compared to older releases

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Tue, 26 Feb 2019 16:52:23 +0100

ftgl (2.4.0-1) unstable; urgency=medium

  * New upstream release.
    - Fixes problem with some applications's rendering of fonts by
      reverting to old behaviour by default, but it will be revisited in
      next upstream major releases (Closes: #914153)
  * d/watch: Update pattern, some versions don't start with 'v' in the
    tags of this repo
  * d/patches:
    - drop substitute-freetype-config.patch, applied upstream
    - drop enable-docs.patch, applied upstream
    - drop fix-pdf-generation, applied upstream
    - drop patch-relibtoolize-prep.diff, applied upstream
    - add disable-pdf.patch, problem generating PDF file
    - add fix-doc-projects-eman2.patch, fix duplicated entry in doc
  * Do not install ftgl.pdf file, it cannot be generated at the moment and
    probably it's not very useful (HTML doc is still shipped)

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Fri, 08 Feb 2019 02:25:02 +0100

ftgl (2.3.0-3) unstable; urgency=medium

  [ IOhannes m zmölnig ]
  * Copyright improvements:
    - d/copyright: convert to standard format 1.0
    - d/rules: add "licensecheck" target
    - d/copyright_hints: helper to generate copyright file
  * d/patches:
    - document (add headers) to patches enable-docs.patch and
      substitute-freetype-config.patch

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Mon, 19 Nov 2018 00:26:46 +0100

ftgl (2.3.0-2) unstable; urgency=medium

  * Release to unstable
  * d/watch: Update for new upstream location
  * d/control: Update Homepage URL

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Sun, 18 Nov 2018 23:48:43 +0100

ftgl (2.3.0-1) experimental; urgency=medium

  * New upstream release
    - Closes: #531489, #589601, #742469, #760571
    - drop patch patch-ftglgetlayoutbbox-typo.diff, applied upstream
    - edit patch fix-pdf-generation to not include Makefile.in, which does
      not exist in this new release, and Makefile.am which changed slightly
    - refresh patch patch-relibtoolize-prep.diff
    - add enable-docs.patch to build docs by default
  * Add substitute-freetype-config.patch for new versions of freetype
    which do not ship freetype-config (Closes: #887712)
  * Add Build-Depends on pkg-config

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Sat, 20 Oct 2018 15:54:55 +0200

ftgl (2.1.3~rc5-5) unstable; urgency=medium

  * Add myself to Uploaders
  * Bump Policy Standards-Version to 4.2.1
  * Update Vcs-* URLs
  * Add Homepage field
  * Drop Conflicts/Replaces on ancient versions of ftgl-dev
  * Drop unnecessary .dirs files
  * Switch to debhelper compat level v11 (from 5)
    - revamp d/rules, reducing it significantly
  * Add "Rules-Requires-Root: no"

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Sun, 30 Sep 2018 17:30:00 +0200

ftgl (2.1.3~rc5-4+nmu1.2) unstable; urgency=medium

  [ Manuel A. Fernandez Montecelo ]
  * Non-maintainer upload.
  * Drop transitional package ftgl-dev (Closes: #878529)

  [ Helmut Grohne ]
  * Fix FTCBFS: Let dh_auto_configure pass cross flags (Closes: #848949)

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Wed, 29 Nov 2017 01:08:59 +0100

ftgl (2.1.3~rc5-4+nmu1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add build-arch and build-indep targets, patch by Santiago Vila (Closes:
    #821983).

 -- Andrey Rahmatullin <wrar@debian.org>  Sat, 26 Nov 2016 22:25:04 +0500

ftgl (2.1.3~rc5-4+nmu1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS at generation of pdf doc (Closes: #718100).
  * Switch to multiarch (Closes: #734159), but don't mark the -dev package
    as such, as it was not tested as such.
  * Include debian/watch from Nick Black (Closes: #697863).
  * Update libtool at build time using dh-autoreconf, in order to fix a
    build failure on x32 (Daniel Schepler, Closes: #701732).

 -- Yann Dirson <dirson@debian.org>  Sun, 05 Jan 2014 17:20:22 +0100

ftgl (2.1.3~rc5-4) unstable; urgency=low

  * drop doxygen and texlive-* (except texlive-fonts-recommended) and
    add doxygen-latex as a build dependency (Closes: #616215), patch
    courtesy of Mònica Ramírez Arceda <monica@probeta.net>.
  * debian/rules: add required libraries to GLUT_LIBS to build with
    binutils-gold (Closes: #554413).
  * debian/patches/patch-ftglgetlayoutbbox-typo.diff: fix a typo in the
    C bindings, courtesy of Wesley Hirsch (Closes: #580451).
  * Also, I don’t want this package to be orphaned! (Closes: #648650).

 -- Sam Hocevar <sho@debian.org>  Sat, 26 Nov 2011 11:02:46 +0100

ftgl (2.1.3~rc5-3) unstable; urgency=low

  * Change package format to 3.0 (quilt).
  * debian/control:
    + epstopdf was moved to texlive-font-utils, build-depending on it
      instead of texlive-extra-utils (Closes: #562315).
    + Set policy to 3.8.3.
    + Add ${misc:Depends} to all package dependencies.

 -- Sam Hocevar <sho@debian.org>  Sun, 03 Jan 2010 14:00:17 +0100

ftgl (2.1.3~rc5-2) unstable; urgency=low

  * debian/rules:
    + Make the package parralel-build safe. Thanks to Paul Wise for the hint.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Mon, 16 Jun 2008 14:32:00 +0000

ftgl (2.1.3~rc5-1) unstable; urgency=low

  * New development snapshot.
  * API is now stable, uploading to unstable.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Sun, 15 Jun 2008 17:12:15 +0200

ftgl (2.1.3~rc4-1) experimental; urgency=low

  * New development snapshot.
  * debian/control:
    + Set policy to 3.8.0.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Mon, 09 Jun 2008 11:56:12 +0000

ftgl (2.1.3~rc3-2) experimental; urgency=low

  * debian/control:
    + Build-depend on texlive-latex-recommended and texlive-fonts-recommended
      so that a4.sty, a4wide.sty and the appropriate fonts are present.
    + Build-depend on ghostscript because texlive-extra-utils only recommends
      it (despite shipping eps2pdf).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Mon, 12 May 2008 11:55:15 +0000

ftgl (2.1.3~rc3-1) experimental; urgency=low

  * New development snapshot.
  * debian/control: build-depend on doxygen, imagemagick, texlive-latex-base,
    texlive-base-bin, texlive-extra-utils to build documentation
    (Closes: #480048).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Sun, 11 May 2008 22:27:30 +0000

ftgl (2.1.3~rc2-1) experimental; urgency=low

  * New development snapshot. Fixes a few upstream bugs.

  * debian/control: build-depend on libcppunit-dev to fix an FTBFS
    (Closes: #479356).
  * debian/libftgl-dev.examples: add the simple demos as examples.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Wed, 07 May 2008 07:24:51 +0000

ftgl (2.1.3~rc1-1) experimental; urgency=low

  * Snapshot from upstream's development tree, targeted at experimental so
    that people can try dynamically linking with libftgl.
  * Ship full HTML documentation (Closes: #257155).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Wed, 30 Apr 2008 12:15:11 +0000

ftgl (2.1.2-4) unstable; urgency=low

  * New maintainer (Closes: #471983).

  * debian/control:
    + Do not build-depend on g++ (Closes: #268594).
    + Changed 'libglut3-dev | glutg3-dev' build-dependency to freeglut3-dev
      (Closes: #394492).
    + Uncapitalised short description.
    + Set policy to 3.7.3.
    + Add Vcs control fields.

  * debian/rules:
    + Use debian/compat instead of DH_COMPAT.
    + Use quilt for patch management.

  * debian/patches/000_package_version.diff:
    + New patch. Fix the version string in .pc files (Closes: #274400).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Sat, 12 Apr 2008 09:00:51 +0000

ftgl (2.1.2-3) unstable; urgency=low

  * src/FTVectoriser.cpp, unix/config.guess, unix/config.sub: patch and
    update for GNU/kFreeBSD.  Thanks Petr Salinger.  closes: bug#340720
  * include/FTTextureGlyph.h: funny bug.  Remove class qualification
    from static method declaration.  Thanks Martin Michlmayr.  closes:
    bug#355744
  * unix/ftgl.pc.in: hack to include -I/usr/include/FTGL in the include
    flags.  Thanks Jonathan Brandmeyer.  closes: bug#257660
  * debian/control: {build}-depend on libGLU.

 -- Marcelo E. Magallon <mmagallo@debian.org>  Fri, 28 Apr 2006 11:44:43 -0600

ftgl (2.1.2-2) unstable; urgency=low

  * debian/control: (build-)?depend on xlibmesa-gl-dev | libgl-dev.
    Thanks Matthias.  Closes: bug#311282.
  * debian/rules: build a _pic library, just like the X packages do.
    (closes: bug# 315330)
  * Please note that the previous change means that the packages that
    build shared libraries which include FTGL are _broken_ now.  These
    include gem and vtk, perhaps blender.
  * debian/control: change libstdc++-dev dependency to g++.  g++ is an
    actual package, libstdc++-dev is a virtual one.

 -- Marcelo E. Magallon <mmagallo@debian.org>  Sat, 02 Jul 2005 18:39:41 -0600

ftgl (2.1.2-1) unstable; urgency=low

  * New Upstream Release.

 -- Marcelo E. Magallon <mmagallo@debian.org>  Mon, 20 Dec 2004 21:07:44 -0600

ftgl (2.0.9-1) unstable; urgency=low

  * New upstream release
  * Ack NMU (closes: bug#226956)

 -- Marcelo E. Magallon <mmagallo@debian.org>  Mon, 17 May 2004 15:43:09 -0600

ftgl (2.0.7-1.1) unstable; urgency=low

  * NMU: recompiled with -fPIC, which is needed for building gem
    (closes: #226956)

 -- Guenter Geiger (Debian/GNU) <geiger@debian.org>  Sun, 29 Feb 2004 17:38:49 +0100

ftgl (2.0.7-1) unstable; urgency=low

  * New Upstream Release.
  * Fix a couple of build problems (I wonder how this went unnoticed) (closes:
    bug#215000)

 -- Marcelo E. Magallon <mmagallo@debian.org>  Wed, 19 Nov 2003 18:34:10 -0600

ftgl (2.0.4-1) unstable; urgency=low

  * New upstream release.
  * First upload.

 -- Marcelo E. Magallon <mmagallo@debian.org>  Thu, 17 Jul 2003 21:09:05 +0200

ftgl (1.4-2) unstable; urgency=low

  * Put headers in /usr/include

 -- Marcelo E. Magallon <mmagallo@debian.org>  Wed, 01 Jan 2003 15:50:59 +0100

ftgl (1.4-1) unstable; urgency=low

  * New Upstream Release.

 -- Marcelo E. Magallon <mmagallo@debian.org>  Wed, 25 Dec 2002 01:07:17 +0100

ftgl (1.3.1-1) unstable; urgency=low

  * New Upstream Release.

 -- Marcelo E. Magallon <mmagallo@debian.org>  Thu, 14 Feb 2002 09:58:12 +0100

ftgl (1.2-1) unstable; urgency=low

  * New Upstream Release.

 -- Marcelo E. Magallon <mmagallo@debian.org>  Wed,  7 Nov 2001 11:01:25 +0100

ftgl (1.1-1) unstable; urgency=low

  * New Upstream Release.

 -- Marcelo E. Magallon <mmagallo@debian.org>  Wed, 31 Oct 2001 15:54:30 +0100

ftgl (1.0.1-1) unstable; urgency=low

  * Initial Release.

 -- Marcelo E. Magallon <mmagallo@debian.org>  Sun, 28 Oct 2001 19:26:54 +0100
